Name:		qubes-manager
Version:	4.3.9
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-pyqt6
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.3.7
Requires:	python%{python3_pkgversion}-qasync
Requires:	python%{python3_pkgversion}-pyxdg
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt6-devel
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	make
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt6-qtbase-devel
%else
BuildRequires:  qt6-devel
%endif
BuildRequires:  qt6-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations PYTHON=%{__python3}
make python PYTHON=%{__python3}

%install
make python_install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}
make install DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/bin/qvm-template-gui
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py
%{python3_sitelib}/qubesmanager/qvm_template_gui.py

%{python3_sitelib}/qubesmanager/resources.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/ui_qvmtemplate.py
%{python3_sitelib}/qubesmanager/ui_templateinstallconfirmdlg.py
%{python3_sitelib}/qubesmanager/ui_templateinstallprogressdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/conftest.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/applications/qubes-template-switcher.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Sun Feb 16 2025 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager.git

* Sun Feb 16 2025 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 334419b
- version 4.3.9-1

* Thu Feb 13 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 5396f1e
- Stop CTD on failure to set seamless mode

* Thu Feb 13 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 8fa2447
- Fix updating template switcher progress bar

* Sun Feb 09 2025 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe20e63
- version 4.3.8-1

* Fri Feb 07 2025 Ali Mirjamali <ali@mirjamali.com> - 04de057
- Retire old `qubes-vm-create` dialog

* Tue Jan 14 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 69f2bb8
- Add missing feature change watch

* Tue Jan 14 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 28e9231
- Remove the confusing zero column from Qube Manager

* Mon Jan 13 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - be891bd
- New and improved icons for Qube Manager

* Fri Jan 10 2025 Rusty Bird <rustybird@net-c.com> - dc58ea1
- Update the location of partial restores in error message

* Fri Jan 03 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 712ff1f
- Remove ui files from coverage report

* Fri Jan 03 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 4d6bccb
- Remove test-packages, replace them with real qubesadmin

* Fri Jan 03 2025 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - daf6902
- Exclude test-packages from codecov

* Fri Dec 20 2024 Rusty Bird <rustybird@net-c.com> - f89632b
- Fix cloning from non-default to default pool

* Fri Dec 20 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 85437cb
- Fix license problems in manager

* Fri Dec 20 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 6a62108
- Fix incorrect assumption in backup

* Fri Dec 20 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - f268eaa
- Fix manager tests to use mock Admin API

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 863125b
- Do not save firewall in VM settings if unchanged

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 2c6218c
- Make Firewall edit dialog properly async

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 43824af
- Fix superfluous feature changes in VM settings

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a8072a4
- Fix display of NetVM warnings in VM settings

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b2f3d82
- Fix weird package references in VM settings

* Tue Dec 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e3f5768
- Fix use of two Qubes() objects in VM settings

* Tue Nov 19 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 293fc93
- Open global config from template gui at correct location

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea26574
- version 4.3.7-1

* Sun Nov 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15f6792
- Adjust dependencies for new devices API

* Sat Nov 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7b52bd
- Adjust pylint mockups for device_protocol.py

* Sat Nov 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 12ff450
- q-dev: Fix detecting already assigned devices on setting apply

* Sat Nov 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 00cec57
- q-dev: fix detecting attached devices in settings

* Sat Nov 16 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 6dd8ca7
- q-dev: use simplify DeviceAssignment creation

* Fri Nov 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 291421e
- version 4.3.6-1

* Thu Nov 14 2024 Ali Mirjamali <ali@mirjamali.com> - 2a4c2b6
- Refresh disk usage stats every 60s if focused

* Thu Nov 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d33d306
- Add 'xdg' python module to dependencies

* Sun Nov 10 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 50d9fbc
- Template Manager GUI: better info for upgradeable templates

* Mon Nov 04 2024 Ali Mirjamali <ali@mirjamali.com> - 426afef
- Use MiB & GiB (binary size) in Qube Manager

* Mon Nov 04 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4aee918
- version 4.3.5-1

* Fri Nov 01 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c29be64
- Fix tests and async use

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d21b22a
- Add qt6 to debian build dir

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d9e8641
- Use more keyword-only arguments to appease pylint

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c4c893d
- Update qt to PyQt6

* Mon Oct 28 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - dd7af92
- Improve Template Manager UI

* Wed Oct 23 2024 Ali Mirjamali <ali@mirjamali.com> - 5312346
- Option to show only `user` qubes in Qube Manager

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 2fa90b5
- q-dev: direct import of device_protocol classes

* Mon Oct 14 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 127beb7
- q-dev: implements device_id

* Mon Oct 14 2024 Ali Mirjamali <ali@mirjamali.com> - f54c803
- Add `skipped` label to VMs excluded from updates

* Mon Oct 14 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - fd23b57
- Fixes to Template Switcher

* Fri Oct 04 2024 Ali Mirjamali <ali@mirjamali.com> - f361457
- Make `Create new qube` ComboBoxes smart

* Thu Sep 12 2024 Ali Mirjamali <ali@mirjamali.com> - cda3acf
- Show no IP for non-networked qubes

* Thu Sep 12 2024 Ali Mirjamali <ali@mirjamali.com> - 9ecedf3
- Add Ctrl+Q=exit, Ctrl+N=New qube, Home & End keys

* Tue Sep 03 2024 Ali Mirjamali <ali@mirjamali.com> - 547a147
- Remove stale, incomplete QubeManager release notes

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3d5b9b
- version 4.3.4-1

